Bug 125016 - [PATCH] security/rubygem-net-ssh: update to 2.0.2
Summary: [PATCH] security/rubygem-net-ssh: update to 2.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-26 18:50 UTC by Philip M. Gollucci
Modified: 2008-06-28 00:15 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-net-ssh-2.0.2.patch (75.24 KB, patch)
2008-06-26 18:50 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2008-06-26 18:50:02 UTC
- Update to 2.0.2
- use RF macro
- remove OPTIONSLFILE its the default
- don't need bsd.port.{pre,post}.mk, just bsd.port.mk
- jump through hoops for pkg-plist update


Port maintainer (r.s.a.vandomburg@nedforce.nl) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-06-26 18:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-06-26 18:50:11 UTC
Maintainer of security/rubygem-net-ssh,

Please note that PR ports/125016 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125016

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-06-26 18:50:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Roderick van Domburg 2008-06-26 23:14:01 UTC
> Maintainer of security/rubygem-net-ssh,
>
> Please note that PR ports/125016 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

Approved. Thanks!

Roderick
Comment 5 pgollucci 2008-06-27 21:52:29 UTC
I didn't catch it until just now... net-ssh 2.0.0+ doesn't dependon on
devel/rubygem-needle anymore.

I can submit a new diff if you would like.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 6 dfilter service freebsd_committer 2008-06-28 00:09:26 UTC
araujo      2008-06-27 23:09:20 UTC

  FreeBSD ports repository

  Modified files:
    security/rubygem-net-ssh Makefile distinfo pkg-plist 
  Log:
  - Update to 2.0.2.
  - User RF macro.
  
  PR:             ports/125016
  Submitted by:   Philip M. Gollucci <pgollucci@p6m7g8.com>
  Approved by:    Roderick van Domburg <r.s.a.vandomburg@nedforce.nl> (maintainer)
  
  Revision  Changes    Path
  1.13      +3 -9      ports/security/rubygem-net-ssh/Makefile
  1.8       +3 -3      ports/security/rubygem-net-ssh/distinfo
  1.5       +266 -852  ports/security/rubygem-net-ssh/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Marcelo Araujo freebsd_committer 2008-06-28 00:14:21 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!